<!DOCTYPE html>
<html lang="fr">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://kit.fontawesome.com/e0920e3089.js" crossorigin="anonymous"></script>
        <link rel="icon" href="favicon.ico">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
              integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <link rel="stylesheet" media="screen" href="https://fontlibrary.org//face/spotcookie-regular" type="text/css" />
        <link rel="stylesheet" href="./biblio.css">
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
        <script src="emprunt.js" defer></script>
        <title>Emprunt</title>
    </head>

    <body>
        <div id="tout">
            <nav id="versEmprunt">
                <a href="./index.html" title="Lien vers la page d'enregistrement d'un livre" class="btn btn-outline-dark " id="btnLivre">Livre</a>
            </nav>
            <div>
                <h1 id="bienvenue" class="display-3">Bienvenue sur la gestion des emprunts</h1>
                <p class="cursive">Nous vous proposons dans cette page d'enregistrer un nouvel emprunt, de rechercher des
                    emprunts en cours
                    en fonction de l'identifiant des emprunts, du titre du livre ou de l'usager, de pouvoir enregistrer une date
                    de
                    retour
                    en modifiant un emprunt ou d'afficher tous les emprunts en cours.
                </p>
            </div>
            <div class="col-lg-10 col-xl-8 col-xxl-6">
                <div class="input-group">
                    <label for="idEmprunt"><span class="input-group-text" id="basic-addon1">ID de l'emprunt </span></label>
                    <input type="number" id="idEmprunt" placeholder="Saisir uniquement pour une recherche ou modification"
                           aria-describedby="basic-addon1" class="form-control" />
                </div>
                <div class="input-group">
                    <label class="input-group-text">TITRE DU LIVRE
                        <select id="livreEnregistre" name="livreEnregistre" class="dropdown-item">
                            <option value=0>aucun titre</option>
                            <!--liste déroulante sera implantée automatiquement lors de l'enregistrement d'un nouveau livre -->
                        </select></label>
                </div>
                <fieldset id="usager" class="input-group">
                    <legend>USAGER</legend>
                    <label for="nomEmprunteur" class="input-group-text">NOM </label><input id="nomEmprunteur"
                                                                                           class="form-control" placeholder="Saisir le nom de l'usager" />
                    <label for="prenomEmprunteur" class="input-group-text">Prénom </label><input id="prenomEmprunteur"
                                                                                                 class="form-control" placeholder="Saisir le prénom de l'usager" />
                </fieldset>
                <fieldset id="date" class="mb-3">
                    <legend>DATES Emprunt</legend>
                    <div class="input-group">
                        <label for="dateEmprunt" class="input-group-text">Date de l'emprunt </label><input id="dateEmprunt"
                                                                                                           class="form-control" type="date" />
                        <label for="dateRetour" class="input-group-text">Date de Retour </label><input id="dateRetour"
                                                                                                       class="form-control" type="date" />
                    </div>
                </fieldset>
                <button id="nouveau" title="Bouton pour enregistrer un nouvel emprunt (les champs du titre, du nom de l'emprunteur, du prénom de l'emprunteur et de la date d'emprunt sont nécessaires)"
                        class="btn btn-lg btn-secondary">Nouveau</button>
                <button id="rechercher" title="Bouton pour recherches des emprunts en cours (vous pouvez remplir au choix les champs de l'id de l'emprunt, du titre de l'emprunt ou le nom et prénom de l'emprunteur ainsi que toute combinaison de ces différents champs)"
                        class="btn btn-lg btn-secondary">Rechercher</button>
                <button id="modifier" title="Bouton pour modifier un emprunt en cours (les champs de l'id de l'emprunt et de la date de retour sont nécessaires)"
                        class="btn btn-lg btn-secondary">Modifier</button>
                <p id="message"></p>
                <p id=message_erreur style="color: red"></p>
                <button type="button" id="affichage" title="Bouton pour afficher tous les emprunts en cours"
                        class="btn btn-lg btn-block btn-outline-dark ">Afficher tous les emprunts en
                    cours</button>
                <table class="table table-bordered mt-3 mb-5" id="affichageEmprunts">
                    <thead>
                        <tr>
                            <th scope="col">Id de l'Emprunt</th>
                            <th scope="col">Id du Livre</th>
                            <th scope="col">Titre du Livre</th>
                            <th scope="col">Nom de l'Emprunteur</th>
                            <th scope="col">Prenom de l'Emprunteur</th>
                            <th scope="col">Date d'Emprunt</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
            <a id="hautpage" href="#bienvenue">Retour en haut
                <i class="fas fa-arrow-circle-up"></i></a>
        </div>
    </body>


</html>